Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-12-2016 11:36:52

golgot200
Membre
Distrib. : Arch Linux
Noyau : Linux 4.11.3-1-ARCH
(G)UI : Mate
Inscription : 05-08-2007

[Résolu]Bug Audacious - Analizer Spectre OpenGL

Bonjour,

Sur la version 3.5 Jessie (Pas de version QT)
Sur la version 3.7  Jessie des BPO
Sur la Version 3.8 compilé avec les sources officiels du site. ( toutes les librairies sont bien installées pour la compilation)
Sur la version 3.9 en DEV

Sur toutes ces versions en interface GTK, le plugin crashe.

Par contre sur l'interface QT, ce plugin fonctionne très bien hmm


J'ai le pilote Nvidia 367.57 des BPO

Ceux qui utilise audacious, vous avez ce bug ?

Merci par avance smile

Interface QT = OK

1481622084.jpg

Le bug à l'activation du plugin sur l'interface GTK :


patrick@debian:~$ audacious
The program 'audacious' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 11377 error_code 8 request_code 155 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
WARNING main.cc:319 [main_cleanup]: exit() called unexpectedly; skipping normal cleanup.
patrick@debian:~$

 

Dernière modification par golgot200 (02-04-2017 08:56:18)

Hors ligne

#2 13-12-2016 19:09:06

golgot200
Membre
Distrib. : Arch Linux
Noyau : Linux 4.11.3-1-ARCH
(G)UI : Mate
Inscription : 05-08-2007

Re : [Résolu]Bug Audacious - Analizer Spectre OpenGL

Bon, ça peut pas être plus clair, du moins il faut vraiment fouiller. hmm

Dans le fichier config.ac


        ampache|qtaudio|qtglspectrum)
            plugin_allowed=$USE_QT
            if test $plugin_allowed = no -a $2 = yes ; then
                AC_MSG_ERROR([--enable-$1 cannot be used without --enable-qt])
 



cannot be used without --enable-qt

Et ben on fait configure comme ça :


./configure --prefix=/usr --disable-qt --disable-glspectrum
 



qui donne à la fin :


  GTK+ Support
  ------------
  GTK Interface:                          yes
  Winamp Classic Interface:               yes
  Album Art:                              yes
  Blur Scope:                             yes
  OpenGL Spectrum Analyzer:               no
  LyricWiki viewer:                       yes
  Playlist Manager:                       yes
  Search Tool:                            yes
  Spectrum Analyzer (2D):                 yes
  Status Icon:                            yes
  X11 Global Hotkeys:                     yes
  X11 On-Screen Display (aosd):           yes

 



Et au revoir QT et le jolie plugin qui fonctionne qu'en QT tongue

Hors ligne

#3 13-12-2016 22:37:06

golgot200
Membre
Distrib. : Arch Linux
Noyau : Linux 4.11.3-1-ARCH
(G)UI : Mate
Inscription : 05-08-2007

Re : [Résolu]Bug Audacious - Analizer Spectre OpenGL

Et ben, toute une journée pour compiler et régler le bouzin en QT !!!

1481661329.jpg

tongue

Dernière modification par golgot200 (02-04-2017 08:53:42)

Hors ligne

Pied de page des forums